## javax.mail.search
Class SubjectTerm

    java.lang.Object
      javax.mail.search.SearchTerm
          javax.mail.search.StringTerm
              javax.mail.search.SubjectTerm

All Implemented Interfaces:
  Serializable

    public final class SubjectTerm

extends StringTerm

This class implements comparisons for the message Subject header. The comparison is case-insensitive. The pattern is a simple string that must appear as a substring in the Subject.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.mail.search.StringTerm
`ignoreCase, pattern`

Constructor Summary
`SubjectTerm(String pattern)` Constructor.

Method Summary
`boolean` `equals(Object obj)` Equality comparison.
`boolean` `match(Message msg)` The match method.

Methods inherited from class javax.mail.search.StringTerm
`getIgnoreCase, getPattern, hashCode, match`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectTerm

    public SubjectTerm(String pattern)

  Constructor.

  Parameters:
    `pattern` - the pattern to search for

Method Detail

### match

    public boolean match(Message msg)

  The match method.

  Specified by:
    `match` in class `SearchTerm`
  Parameters:
    `msg` - the pattern match is applied to this Message's subject header
  Returns:
    true if the pattern match succeeds, otherwise false

### equals

    public boolean equals(Object obj)

  Equality comparison.

  Overrides:
    `equals` in class `StringTerm`

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.